/*
 * About Dialog for Teex
*/

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;

public class AboutDialog extends javax.swing.JDialog {
	public AboutDialog() {
		setContentPane(new JPanel());
		getContentPane().setLayout(null);
		((JPanel)getContentPane()).setBorder(new EmptyBorder(0,0,0,0));
		setSize(316,132);
		setVisible(false);

		this.addWindowListener(	new java.awt.event.WindowAdapter() {
			public void windowClosing(java.awt.event.WindowEvent event) {
				setVisible(false); // hide the Frame
				dispose();	     // free the system resources
			}
		});
		
		JLabel imageLabel;
		imageLabel = new javax.swing.JLabel();
		imageLabel.setIcon(new RemoteImage("panda.gif"));
		imageLabel.setBounds(185,1,103,91);
		getContentPane().add(imageLabel);

		JLabel label;
		label = new javax.swing.JLabel("Teex");
		label.setBounds(15,1,150,28);
		label.setFont(new Font("Dialog", Font.BOLD, 18));
		getContentPane().add(label);
		label = new javax.swing.JLabel("Text Editor and Translator");
		label.setBounds(15,33,150,28);
		getContentPane().add(label);
		label = new javax.swing.JLabel("ASCII is not the last word");
		label.setBounds(15,65,150,28);
		getContentPane().add(label);
	}

	public AboutDialog(String sTitle) {
		this();
		setTitle(sTitle);
	}

	public void setVisible(boolean b) {
		if (b)
			setLocation(100, 100);
		super.setVisible(b);
	}

	public void addNotify() {
		// Record the size of the window prior to calling parents addNotify.
		Dimension d = getSize();

		super.addNotify();

		if (fComponentsAdjusted)
			return;
		// Adjust components according to the insets
		setSize(getInsets().left + getInsets().right + d.width,
				getInsets().top + getInsets().bottom + d.height);
		Component components[] = getContentPane().getComponents();
		for (int i = 0; i < components.length; i++) {
			Point p = components[i].getLocation();
			p.translate(getInsets().left, getInsets().top);
			components[i].setLocation(p);
		}
		fComponentsAdjusted = true;
	}

	// Used for addNotify check.
	boolean fComponentsAdjusted = false;

	static public void main(String args[]) {
		(new AboutDialog()).setVisible(true);
	}
}
