#!/usr/bin/perl

# The name of the input file used to generate different filters.
# The user should use the ldif file for generating filters.
print "Enter the name of the ldif file from which to generate different filters \n";
$inFile = <stdin>;

# The file storing the results, ie, filters.
print "Enter the name of the file in which the results are saved\n";
$outFile = <stdin>;

# Which line in the ldif started to print
# We want to skip the top portion of the ldif file relating to the password
# policy and access control.
print "Enter which line you want to start printing from the ldif file\n";
$startToPrint = <stdin>;

open(ifp, "<$inFile") || die "open";
open(ofp, ">$outFile") || die "open";

$count = 1;
while (<ifp>) {

  # print lines starting from the particular line
  # do not print empty line
  if (($count >= $startToPrint) && ($_ ne "\n")) { 
    s/: /=/g;
    print ofp $_;
  }

  $count++;
}
close(fp);

